Loading...
Searching...
No Matches
wayland::server::shell_surface_resize Struct Reference

edge values for resizing More...

`#include <wayland-server-protocol.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 4, 8 > | none
| no edge
static const wayland::detail::bitfield< 4, 8 > | top
| top edge
static const wayland::detail::bitfield< 4, 8 > | bottom
| bottom edge
static const wayland::detail::bitfield< 4, 8 > | left
| left edge
static const wayland::detail::bitfield< 4, 8 > | top_left
| top and left edges
static const wayland::detail::bitfield< 4, 8 > | bottom_left
| bottom and left edges
static const wayland::detail::bitfield< 4, 8 > | right
| right edge
static const wayland::detail::bitfield< 4, 8 > | top_right
| top and right edges
static const wayland::detail::bitfield< 4, 8 > | bottom_right
| bottom and right edges

## Detailed Description

edge values for resizing

These values are used to indicate which edge of a surface is being dragged in a resize operation. The server may use this information to adapt its behavior, e.g. choose an appropriate cursor image.

Definition at line 2031 of file wayland-server-protocol.hpp.

## Member Data Documentation

## bottom

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::bottom

static

bottom edge

Definition at line 2042 of file wayland-server-protocol.hpp.

## bottom_left

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::bottom_left

static

bottom and left edges

Definition at line 2048 of file wayland-server-protocol.hpp.

## bottom_right

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::bottom_right

static

bottom and right edges

Definition at line 2054 of file wayland-server-protocol.hpp.

## left

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::left

static

left edge

Definition at line 2044 of file wayland-server-protocol.hpp.

## none

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::none

static

no edge

Definition at line 2038 of file wayland-server-protocol.hpp.

## right

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::right

static

right edge

Definition at line 2050 of file wayland-server-protocol.hpp.

## top

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::top

static

top edge

Definition at line 2040 of file wayland-server-protocol.hpp.

## top_left

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::top_left

static

top and left edges

Definition at line 2046 of file wayland-server-protocol.hpp.

## top_right

const wayland::detail::bitfield<4, 8> wayland::server::shell_surface_resize::top_right

static

top and right edges

Definition at line 2052 of file wayland-server-protocol.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol.hpp